Correction d'erreur: votre installation PHP semble manquer l'extension MySQL qui est requise par WordPress

"Votre installation PHP semble manquer l'extension MySQL qui est requise par WordPress"Est une erreur rencontrée par de nombreux propriétaires de blogs et de sites Web avec WordPress.
Ce n'est pas un sujet de préoccupation. Absence d'extension MySQL de PHP est typique des systèmes d'exploitation installés à partir de zéro, VPS ou des serveurs dédiés, où les extensions PHP ne faisaient pas partie du package d'installation. Ce problème est présent sur les deux Ubuntu et CentOS. Dans ce scénario, le problème est résolu très simplement avec une mise à jour PHP et l'installation du module "php-mysql" .
Mettre à jour PHP et installer l'extension MySQL sur Ubuntu

apt-get update
apt-get install php-mysql

Mettre à jour PHP et installer l'extension MySQL sur CentOS

yum update
yum install php70w-mysql

Après cette étape, redémarrer le service Apache ou Nginx.

J'ai également rencontré le scénario dans lequel bien que l'extension MySQL existe en PHP, un blog créé sur WordPress affichait l'erreur "Votre installation PHP semble manquer l'extension MySQL requise par WordPress". La plupart du temps, l'erreur se produit lors de l'installation de WordPress. Cette fois, cependant, il est apparu sur un blog actif depuis plusieurs années.
Dans cette situation, j'ai trouvé que le problème ne venait pas des modules PHP, mais de la très ancienne version de WordPress, qui n'est plus compatible avec PHP 7.4.4RC1. Une simple mise à niveau de WordPress vers la dernière version a résolu l'erreur.

Correction d'erreur: votre installation PHP semble manquer l'extension MySQL qui est requise par WordPress

A propos de l'auteur

infiltration

Passionné de tout gadget et informatique, j'écris avec plaisir sur la furtivitésettings.com depuis 2006 et j'aime découvrir avec vous de nouvelles choses sur les ordinateurs et les systèmes d'exploitation macOS, Linux, Windows, iOS et Android.

Laisser un commentaire